.is_mobile {
    display: none;
}
.is_tablet {
    display: none;
}
.is_pc {
    display: none;
}

/* Мобильные устройства */
@media (max-width: 420px) {

    body {
        margin-top: 58px;
    }
    .is_mobile {
        display: block;
    }
    .header_logo {
        display: flex;
        height: 64px;
        align-items: center;
        gap: 8px;
        margin-left: -33px;
    }
    .mob_header {
        display: flex;
        justify-content: space-between;
        align-items: center;
    }

    .video_content {
        height: auto;
    }
    .video_content:hover {
        transform: scale(1);
    }
    .video_content:hover .link_video {
        color: #f1f1f1;
    }

    .category_wallpaper {
        height: 136px;
    }
    .category_link {
        padding: 8px 0 0 8px;
    }

    .video_line {
        display: flex;
        flex-direction: column;
        align-items: flex-start;
        justify-content: space-between;
    }

    .width_search {
        width: 100%
    }
}

/* Стили для больших телефонов */
@media (min-width: 421px) and (max-width: 768px) {

    body {
        margin-top: 64px;
    }
    .is_mobile {
        display: block;
    }
    .header_logo {
        display: flex;
        height: 64px;
        align-items: center;
        gap: 8px;
        margin-left: -33px;
    }
    .mob_header {
        display: flex;
        justify-content: space-between;
        align-items: center;
    }

    .video_content {
        height: auto;
    }
    .video_content:hover {
        transform: scale(1);
    }
    .video_content:hover .link_video {
        color: #f1f1f1;
    }

    .category_wallpaper {
        height: 136px;
    }
    .category_link {
        padding: 8px 0 0 8px;
    }

    .video_line {
        display: flex;
        flex-direction: column;
        align-items: flex-start;
        justify-content: space-between;
    }

    .width_search {
        width: 100%
    }
}

/* Планшеты */
@media (min-width: 769px) and (max-width: 1024px) {
   body {
        margin-top: 64px;
    }
    .is_tablet {
        display: block;
    }
    .header_logo {
        display: flex;
        height: 64px;
        align-items: center;
        gap: 8px;
        margin-left: -33px;
    }
    .mob_header {
        display: flex;
        justify-content: space-between;
        align-items: center;
    }

    .video_content {
        height: auto;
    }
    .video_content:hover {
        transform: scale(1);
    }
    .video_content:hover .link_video {
        color: #f1f1f1;
    }

    .category_wallpaper {
        height: 136px;
    }
    .category_link {
        padding: 8px 0 0 8px;
    }

    .video_line {
        display: flex;
        flex-direction: column;
        align-items: flex-start;
        justify-content: space-between;
    }

    .width_search {
        width: 100%
    }
}

@media (min-width: 1025px) and (max-width: 1280px) {
   .is_large_tablet {
        display: block;
    }
}

/* Ноутбуки и ПК */
@media (min-width: 1281px) and (max-width: 1440px) {
    .is_pc {
        display: block;
    }
}

@media (min-width: 1441px) and (max-width: 1920px) {
    .is_pc {
        display: block;
    }
}

@media (min-width: 1921px) {
    .is_pc {
        display: block;
    }
}

@media (min-width: 992px) {
  .responsive-banner {
    max-height: 420px;
    overflow: hidden; /* прячем всё, что выше 420px */
  }

  /* опционально: чтобы вложенные элементы не вылезали за контейнер */
  .responsive-banner > * {
    max-height: 100%;
  }

  /* если внутри картинки/видео */
  .responsive-banner img,
  .responsive-banner video {
    width: 100%;
    max-height: 100%;
    object-fit: cover; /* или contain, если не хотите обрезания */
  }
}
